package core

import "github.com/etlibgo/et"

var sCfg = struct {
	JsonRoot *et.ExJsonVal
	IsInited bool
}{
	JsonRoot: nil,
	IsInited: false,
}

func CfgInit(jsonCfg *et.ExJsonVal) {
	sCfg.JsonRoot = jsonCfg
	if sCfg.JsonRoot != nil {
		sCfg.IsInited = true
	}
}

func CfgGetStr(strKey string) string {
	if !sCfg.IsInited {
		return ""
	}

	return et.ExJsonGetStr(sCfg.JsonRoot, strKey)
}

func CfgGetStrPath(arrPath []string) string {
	if !sCfg.IsInited {
		return ""
	}

	return et.ExJsonPathGetStr(sCfg.JsonRoot, arrPath)
}
